MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001003ATutorAdminpublic2004-11-11 13:332005-11-22 05:17
Reportergreg 
Assigned Touser2 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.4.2 
Target VersionFixed in Version1.5.2 
Summary0001003: content package export import breaks
DescriptionApparently, parent pages should not have an resource/identifierref, and as a result ATutor does not create a hierarchy when parent pages contain no content. I don't necessary think this correct, but to support the older newer specs better, there should be a function that recognizes a missing indentifierref and create an empty page in ATutor, until we introduce full SCORM 2004 support. Currently empty pages without an identifierref don't get created.

see:
http://www.atutor.ca/view/7/3012/1.html [^]
http://www.atutor.ca/view/3/3046/1.html [^]
Additional InformationThis is apparently a quote from SCORM 2004. I not sure how to interpret this if only leaf nodes are allows to have indentifierrefs/resources attached. Doesn't make sense to me... I have confirmed that thats what it says section 3.4.1.9 of SCORM CAM 2004.

"The <item> element can act as a container of other <item> elements or as a leaf node. If an <item> is a leaf node, then the <item> shall reference a
<resource> element. If an <item> element is a parent element, the <item> itself is not permitted to reference a <resource> element (only leaf <item> elements
are permitted to reference resources)."
TagsNo tags attached.
Affects version
SVN Revision#
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2004-11-11 13:33 greg New Issue
2004-11-11 13:33 greg Apache Version => 1.3.x
2004-11-11 13:33 greg PHP Version => 4.3.2
2004-11-11 13:41 greg Description Updated
2004-11-11 13:41 greg Additional Information Updated
2004-12-15 06:00 user2 Status new => assigned
2004-12-15 06:00 user2 Assigned To => shozub
2005-06-03 10:13 heidi Assigned To shozub =>
2005-06-03 10:13 heidi Status assigned => new
2005-10-25 08:29 user2 Status new => resolved
2005-10-25 08:29 user2 Fixed in Version => 1.5.2
2005-10-25 08:29 user2 Resolution open => fixed
2005-10-25 08:29 user2 Assigned To => user2
2005-11-22 05:17 user2 Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker